Bug 1462232 - Custom tools raises exception
Custom tools raises exception
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
25
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 08:52 EDT by Ildar Akhmetgaleev
Modified: 2017-06-22 22:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: Zim-0.67-0.rc2.1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-22 22:00:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ildar Akhmetgaleev 2017-06-16 08:52:25 EDT
Description of problem:
After upgrading from Zim-0.65-3 to Zim-0.66-2 I have error when executing my custom tool.

Version-Release number of selected component (if applicable):
Zim-0.66-2.fc25

How reproducible:

Steps to Reproduce:
1. Go to "Tools->Custom Tools
2. Add eny command, for example "echo"
3. Run new command from "Tools" menu

Actual results:
Window with error raises.

Expected results:
No error should appear.

Additional info:

This is zim 0.66
Platform: posix
Locale: en_IE UTF-8
FS encoding: UTF-8
Python: (2, 7, 13, 'final', 0)
Gtk: (2, 24, 31)
Pygtk: (2, 24, 0)
Zim revision is:
  branch: zim-trunk
  revision: 871 jaap.karssenberg@gmail.com-20170428103155-0xaqvtl2g53epq2y
  date: 2017-04-28 12:31:55 +0200

======= Traceback =======
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 1624, in _exec_custom_tool
    self.notebook.index.start_background_check()
TypeError: start_background_check() takes exactly 2 arguments (1 given)
Comment 1 Robin Lee 2017-06-16 10:04:01 EDT
Can you have version 0.67-rc2 a try?
https://bodhi.fedoraproject.org/updates/FEDORA-2017-34872be2a2

Or just enable updates-testing repo and update Zim.
Comment 2 Ildar Akhmetgaleev 2017-06-17 02:24:47 EDT
Zim-0.67-0.rc2.1.fc25 works fine, thanks.
Should I close bug?

Note You need to log in before you can comment on or make changes to this bug.